Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableClipUnits Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableClipUnits:
[legend]
Collaboration diagram for Magick::DrawableClipUnits:
[legend]

## Public Member Functions
| DrawableClipUnits (const ClipPathUnits units_)
| ~DrawableClipUnits (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | units (const ClipPathUnits units_)
ClipPathUnits | units (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 515 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableClipUnits()

Magick::DrawableClipUnits::DrawableClipUnits | ( | const ClipPathUnits | units_ | ) |

Definition at line 359 of file Drawable.cpp.

## ◆ ~DrawableClipUnits()

Magick::DrawableClipUnits::~DrawableClipUnits | ( | void |  | ) |

Definition at line 364 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableClipUnits::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 384 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableClipUnits::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 368 of file Drawable.cpp.

## ◆ units() [1/2]

void Magick::DrawableClipUnits::units | ( | const ClipPathUnits | units_ | ) |

Definition at line 374 of file Drawable.cpp.

## ◆ units() [2/2]

Magick::ClipPathUnits Magick::DrawableClipUnits::units | ( | void |  | ) | const

Definition at line 379 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp